package Logic;

public class EqualsZero extends APredicate
{
	/** @SBGen Singleton Variable   */
	private static EqualsZero instance = null;

	/** @SBGen Constructor   */
	private EqualsZero()
	{
	}
	/**
	 * @param dat 
	 * @return 
	 */
	public ILogical isTrue(Object dat)
	{
		return (LogicFactory.Singleton().makeLogical( 0== ((Integer)dat).intValue()) ); 
	}

	/**
	 * @return 
	 * @SBGen Singleton 
	 */
	public static EqualsZero Singleton()
	{
		// SBgen: Ensure single instance
		if (instance == null) 
			instance = new EqualsZero();
		return(instance);
		// SBgen: End singleton
	}
}

